#!/bin/bash



files=()

prefixlist=(ColorSort Elevator GyroLTL HumanoidLTL PcarLTL_394_PCar V2-SelfParkingSmartCarLTL V3-SelfParkingSmartCarLTL)

declare -a uniqemissions

rm missions.txt;

for prefixfile in "${prefixlist[@]}";
do
    prefix=$prefixfile

    files=($(ls -fb | grep $prefix))
    

   
    missions=()
    
   
        
    for file in "${files[@]}";
    do 
        echo $file
        while IFS='' read -r line || [[ -n "$line" ]]; do

        myvar=$( echo $line)
        if [[ "$myvar"  == 'guarantee -- '* ]];  then
           prefix="guarantee -- "
           foo=${myvar#$prefix}
           missions+=("$foo")

        else
            if [[ "$myvar"  == 'guarantee --'* ]];  then
                prefix="guarantee --"
                foo=${myvar#$prefix}
                missions+=("$foo")
            fi
        fi
        
        if [[ "$myvar"  == '// '* ]];  then
           prefix="// "
           foo=${myvar#$prefix}
           missions+=("$foo")

        else
            if [[ "$myvar"  == '//'* ]];  then
                prefix="//"
                foo=${myvar#$prefix}
                missions+=("$foo")
            fi
        fi
        done < "$file"

    done


    missions=$(echo $missions | tr ' ' '\n' | sort -nu) 

    echo "" > tmp.txt
    for mission in "${missions[@]}";
    do
        echo  "$mission \n"  >> tmp.txt
    done
    
    #cat << EOF >> tmp.txt 
    
    sort tmp.txt | uniq  > pippo.txt



    uniqemissions=()
    
    
    # Load file into array.
    let i=0
    while IFS=$'\n' read -r line_data; do
        uniqemissions[i]="${line_data}"
        ((++i))
    done < pippo.txt

    echo "$prefixfile , " >> missions.txt
    for var in "${uniqemissions[@]}";
        do
            echo ", \" $var \", " >> missions.txt
        done
    
    echo ", " >> missions.txt
    
done
